<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrLegalRepresentativeMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrLegalRepresentative">
            <id property="infosharId" column="INFOSHAR_ID" jdbcType="VARCHAR"/>
            <result property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="productionLicenceId" column="PRODUCTION_LICENCE_ID" jdbcType="VARCHAR"/>
            <result property="permitNo" column="PERMIT_NO" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="idType" column="ID_TYPE" jdbcType="VARCHAR"/>
            <result property="idNo" column="ID_NO" jdbcType="VARCHAR"/>
            <result property="recordDate" column="RECORD_DATE" jdbcType="DATE"/>
            <result property="infoshareFid" column="INFOSHARE_FID" jdbcType="VARCHAR"/>
            <result property="infosharTime" column="INFOSHAR_TIME" jdbcType="TIMESTAMP"/>
            <result property="infoshareTime1" column="INFOSHARE_TIME1" jdbcType="TIMESTAMP"/>
            <result property="infoshareTime2" column="INFOSHARE_TIME2" jdbcType="TIMESTAMP"/>
            <result property="infoshareTime3" column="INFOSHARE_TIME3" jdbcType="TIMESTAMP"/>
            <result property="infoshareStat" column="INFOSHARE_STAT" jdbcType="VARCHAR"/>
            <result property="infoshareDtsource" column="INFOSHARE_DTSOURCE" jdbcType="VARCHAR"/>
            <result property="infoshareDtarea" column="INFOSHARE_DTAREA" jdbcType="VARCHAR"/>
            <result property="infoshareVer" column="INFOSHARE_VER" jdbcType="VARCHAR"/>
            <result property="infosharApp" column="INFOSHAR_APP" jdbcType="VARCHAR"/>
            <result property="seqGloballyUserUnique" column="SEQ_GLOBALLY_USER_UNIQUE______" jdbcType="VARCHAR"/>
            <result property="sourceSystem" column="SOURCE_SYSTEM" jdbcType="VARCHAR"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        INFOSHAR_ID,ID,PRODUCTION_LICENCE_ID,
        PERMIT_NO,NAME,ID_TYPE,
        ID_NO,RECORD_DATE,INFOSHARE_FID,
        INFOSHAR_TIME,INFOSHARE_TIME1,INFOSHARE_TIME2,
        INFOSHARE_TIME3,INFOSHARE_STAT,INFOSHARE_DTSOURCE,
        INFOSHARE_DTAREA,INFOSHARE_VER,INFOSHAR_APP,
        SEQ_GLOBALLY_USER_UNIQUE______,SOURCE_SYSTEM,I_TIME,
        uni_code
    </sql>
</mapper>
